import { OnInit } from "@angular/core";
import { MatDialog } from "@angular/material/dialog";
import { UserDto } from "@smallstack/axios-api-client";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { UserService } from "@smallstack/user-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class LoginStatusWidgetComponent extends BaseWidgetComponent implements OnInit {
    private matDialog;
    private userService;
    currentUser: UserDto;
    private menuTrigger;
    static getConfiguration(): SmallstackTypeSchema;
    constructor(matDialog: MatDialog, userService: UserService);
    ngOnInit(): void;
    showLogin(): void;
    logout(): Promise<void>;
    openMenu(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginStatusWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginStatusWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
