import { StoreRegistry } from "@smallstack/common-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare enum TextSearchSockets {
    SEARCH_RESULTS = "searchResults"
}
export declare class TextSearchWidgetComponent extends BaseWidgetComponent {
    #private;
    private storeRegistry;
    protected searchText: string;
    protected searchText$: BehaviorSubject<string>;
    protected isSearching$: BehaviorSubject<boolean>;
    constructor(storeRegistry: StoreRegistry);
    protected reset(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextSearchWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextSearchWidgetComponent, "smallstack-text-search-widget", never, {}, {}, never, never, false, never>;
}
