import { ActivatedRoute } from "@angular/router";
import { StoreRegistry } from "@smallstack/common-components";
import { SchemaFormSchema } from "@smallstack/form-shared";
import { PageableStore } from "@smallstack/store";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class ContextContainerWidgetComponent extends BaseWidgetComponent {
    private activatedRoute;
    private storeRegistry;
    store: PageableStore;
    model: any;
    children: any[];
    innerContext: any;
    hasErrors: boolean;
    static getConfiguration(): SchemaFormSchema;
    constructor(activatedRoute: ActivatedRoute, storeRegistry: StoreRegistry);
    evaluateStoreData(context: any, data: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextContainerWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContextContainerWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
