import { Params } from "@angular/router";
import { TranslationStore } from "@smallstack/i18n-components";
import { FrontendTypeRegistry, RxCollectionService } from "@smallstack/typesystem-client";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class EntityLinkWidgetComponent extends BaseWidgetComponent {
    #private;
    private frontendTypeRegistry;
    private translationStore;
    private rxCollectionService;
    protected type$: Observable<import("@smallstack/common-components").FrontendSmallstackType>;
    protected model$: Observable<any>;
    protected representation$: Observable<any>;
    protected routerLink$: Observable<string>;
    protected queryParams$: Observable<Params>;
    constructor(frontendTypeRegistry: FrontendTypeRegistry, translationStore: TranslationStore, rxCollectionService: RxCollectionService);
    protected openDetails(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityLinkWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EntityLinkWidgetComponent, "smallstack-entity-link-widget", never, {}, {}, never, never, false, never>;
}
