import { OnInit } from "@angular/core";
import { AxiosApiClient } from "@smallstack/axios-api-client";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class ImmoScout24WidgetComponent extends BaseWidgetComponent implements OnInit {
    private axiosApiClient;
    listings: any[];
    errorMessage: string;
    private readonly SANDBOX_URL;
    private readonly PROD_URL;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(axiosApiClient: AxiosApiClient);
    ngOnInit(): void;
    fetchListings(): Promise<void>;
    onOpenListing(listingId: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImmoScout24WidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImmoScout24WidgetComponent, "immoscout24-widget", never, {}, {}, never, never, false, never>;
}
